Installing NI Driver on MacOS High Sierra Causes Kernel Panic

Updated Apr 9, 2018

Reported In

Driver

  • NI-488.2 17.0
  • NI-VISA 17.0

Operating System

  • Mac OS X

Issue Details

I updated my operating system to macOS 10.13 (High Sierra). Installing drivers like NI-VISA or NI-488.2 causes the following symptoms:
  • Computer is unable to boot in regular mode
  • Trying to use the driver in NI MAX or by using the API causes a kernel panic

Solution

Currently (January 2018) no NI drivers support macOS 10.13.
Please check the readme files before installing any driver to verify operating system compatibility. Readmes can be found on the download page of the driver. 

WAS THIS ARTICLE HELPFUL?

Not Helpful